Subject: Re: [Iotops] Quantum computing practically impossible

From: Michael Richardson <[email-masked]>
Date: Fri, 06 Nov 2020 17:21:13 -0500

Phillip Hallam-Baker <[email-masked]> wrote:
    > breaking X25519 available within one or even two decades. But unlikely is
    > not the same as proven beyond doubt to be impossible.

    > * It is therefore prudent to consider means of hardening an infrastructure
    > so that it is resilient to quantum cryptanalysis.

One of critical things that we (the IETF and IoT community) need to do is
show that we have all the tooling required to do Hash-Based Signature
Algorithm updates for SUIT (RFC8778).

A fire-drill in essence.
We don't need to it well, but we need to be able to do that.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide